<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>


<script type="text/javascript">

Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return $merge(uri.get('data'), { 'status': '<?= Model_Verifications_Requests::CONFIRMED ?>' });
	};

	
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true },
			{ title: 'Inform Method', field: 'inform_method', type: 'informMethod', sortable: true, width: '120px' },

			{ title: 'Date', field: 'date_1', type: 'DateOption', format: '8',  width: '120px' },			

			{ title: 'Comment', field: 'comment', type: 'string' },
			{ title: 'Soft', field: 'soft', type: 'string', width: '60px' },
			{ title: 'Soft Username', field: 'soft_username', type: 'string' },
			
			{ title: 'Status', field: 'status', type: 'RequestStatus', width: '80px' },
			
			{ title: 'Request Date', field: 'date', type: 'date', sortable: true, width: '100px' }
		],
		sort: {
			field: 'date',
			dir: 'desc'
		},
		actions: [ { type: 'accept', func: function (data) {
				if ( confirm('Are you sure you want to verify this escort?') ) {
					
					var req = new Request({
						method: 'get',
						url: '/verifications/webcam/set-status?escort_id=' + data.escort_id + '&request_id=' + data.id + '&status=<?= Model_Verifications_Requests::VERIFY ?>',
						onComplete: function() {
							grid.load();
						}
					}).send();
				}	
			}},
			{ type: 'cancel', func: function (data) {
				if ( confirm('Are you sure you want to reject this request?') ) {
					var req = new Request({
						method: 'get',
						url: '/verifications/webcam/set-status?escort_id=' + data.escort_id + '&request_id=' + data.id + '&status=<?= Model_Verifications_Requests::REJECTED ?>',
						onComplete: function() {
							grid.load();
						}
					}).send();
				}
			}}
		],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/verifications/webcam/data', params: getFilterParams })
	});

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: 'ml146' });
};
</script>

<div class="form-common gray">
	<form>		
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="f-showname">Showname</label>
				<input id="f-showname" type="text" class="txt w18" name="showname" value="" />
			</div>
			
			<!--<div class="inner">
				<label for="f-inform-method">Inform Method</label>
				<select name="inform_method" id="f-inform-method">
					<option value="">- inform method -&nbsp;&nbsp;</option>
					<option value="1">E-mail</option>
					<option value="2">SMS</option>
				</select>
			</div>
		
			<div class="clear"></div>
			
			<div class="inner mb10">
				<label for="f-date-from">Date From</label>
				<input id="f-date-from" type="text" class="txt w14" name="date_from" value="" />
			</div>
			<div class="inner" style="padding-top:27px">
			-
			</div>
			<div class="inner mb10">
				<label for="f-date-to">Date To</label>
				<input id="f-date-to" type="text" class="txt w14" name="date_to" value="" />
			</div>
			
			--><div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		<a id="btn-refresh"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<style>
	#legend { margin:20px 0 10px 0; border: 1px solid #ccc; width:280px; padding:10px }

	#legend .color-expired { height: 20px; width:20px; background-color: #FFBFC8; float:left; border: 1px solid #ccc }
	#legend .color-today { height: 20px; width:20px; background-color: #BFFFC2; float:left; border: 1px solid #ccc }
	#legend .color-tomorrow { height: 20px; width:20px; background-color: #BFC4FF; float:left; border: 1px solid #ccc }

	#legend .text { float:left; margin:3px 10px 0 3px }
</style>

<div id="legend">

	<div class="color-expired"></div>
	<p class="text"> - Expired</p>
	
	<div class="color-today"></div>
	<p class="text"> - Today</p>
	
	<div class="color-tomorrow"></div>
	<p class="text"> - Tomorrow</p>
	
	<div class="clear"></div>

</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
